<?php
namespace MageWorx\ShippingCalculatorBase\Block\Adminhtml\Form\Field\Methods;

/**
 * Interceptor class for @see \MageWorx\ShippingCalculatorBase\Block\Adminhtml\Form\Field\Methods
 */
class Interceptor extends \MageWorx\ShippingCalculatorBase\Block\Adminhtml\Form\Field\Methods implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Context $context, \Magento\Shipping\Model\Config $shippingConfig, \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $shippingConfig, $scopeConfig, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
